Subject: bug#20526: BUG: text file is detected as binary

From: Paul Eggert <[email-masked]>
Date: Thu, 07 May 2015 09:23:27 -0700

That file uses ISO 8859 encoding (presumably Latin-1 or Latin-9), so you 
need to grep it in a locale compatible with that encoding.  It appears 
that you ran grep in a UTF-8 or other incompatible locale, which meant 
the ISO 8859 encoding wasn't valid and was treated as binary gibberish.  
You could try working around it with this:

grep -a PKG_NAME Makefile

or this:

LC_ALL=de_DE.iso885915 grep PKG_NAME Makefile

but in either case 'grep' might output the binary gibberish, which could 
cause other problems.  So it might be better to change that non-ASCII 
character in the file's string "Raphaël" to use an encoding compatible 
with the encoding of your locale.